Package org.apache.wiki.providers

## Class FileSystemProvider

- java.lang.Object
- - org.apache.wiki.providers.AbstractFileProvider
  - - org.apache.wiki.providers.FileSystemProvider

All Implemented Interfaces:
  `PageProvider`, `WikiProvider`

    public class FileSystemProvider
    extends AbstractFileProvider

Provides a simple directory based repository for Wiki pages.

All files have ".txt" appended to make life easier for those who insist on using Windows or other software which makes assumptions on the files contents based on its name.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.wiki.providers.AbstractFileProvider

`AbstractFileProvider.WikiFileFilter`

### Field Summary

Fields
`static java.lang.String` `PROP_EXT` All metadata is stored in a file with this extension.

### Fields inherited from class org.apache.wiki.providers.AbstractFileProvider

`DEFAULT_ENCODING, DEFAULT_MAX_PROPKEYLENGTH, DEFAULT_MAX_PROPLIMIT, DEFAULT_MAX_PROPVALUELENGTH, FILE_EXT, m_encoding, m_engine, MAX_PROPKEYLENGTH, MAX_PROPLIMIT, MAX_PROPVALUELENGTH, PROP_CUSTOMPROP_MAXKEYLENGTH, PROP_CUSTOMPROP_MAXLIMIT, PROP_CUSTOMPROP_MAXVALUELENGTH, PROP_PAGEDIR`

### Fields inherited from interface org.apache.wiki.api.providers.WikiProvider

`LATEST_VERSION`

### Constructor Summary

Constructors
`FileSystemProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `deletePage​(java.lang.String pageName)`
`Page` `getPageInfo​(java.lang.String page, int version)` Always returns the latest version, since FileSystemProvider does not support versioning.
`void` `movePage​(java.lang.String from, java.lang.String to)`
`void` `putPageText​(Page page, java.lang.String text)`

### Methods inherited from class org.apache.wiki.providers.AbstractFileProvider

`addCustomProperties, deleteVersion, findPage, findPages, getAllChangedSince, getAllPages, getCustomProperties, getPageCount, getPageText, getProviderInfo, getVersionHistory, initialize, mangleName, pageExists, pageExists, setCustomProperties, unmangleName, validateCustomPageProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROP_EXT

    public static final java.lang.String PROP_EXT

All metadata is stored in a file with this extension.

See Also:
  Constant Field Values

### Constructor Detail

#### FileSystemProvider

    public FileSystemProvider()

### Method Detail

#### putPageText

    public void putPageText​(Page page,
                            java.lang.String text)
                     throws ProviderException

Specified by:
  `putPageText` in interface `PageProvider`
Overrides:
  `putPageText` in class `AbstractFileProvider`
Throws:
  `ProviderException`

#### getPageInfo

    public Page getPageInfo​(java.lang.String page,
                            int version)
                     throws ProviderException

Always returns the latest version, since FileSystemProvider does not support versioning.

Specified by:
  `getPageInfo` in interface `PageProvider`
Overrides:
  `getPageInfo` in class `AbstractFileProvider`
Throws:
  `ProviderException`

#### deletePage

    public void deletePage​(java.lang.String pageName)
                    throws ProviderException

Specified by:
  `deletePage` in interface `PageProvider`
Overrides:
  `deletePage` in class `AbstractFileProvider`
Throws:
  `ProviderException`

#### movePage

    public void movePage​(java.lang.String from,
                         java.lang.String to)
                  throws ProviderException

Throws:
  `ProviderException`